com.ibm.openpages.api.workflow

## Interface IWFActivityInstance

-     public interface IWFActivityInstance

  Interface that represents an activity instance. An activity instance is created when a process instance transitions to an activity ( via user operation or via API call ), and the interface provides access to it. The previous activity instance before the transition is marked `WFActivityInstanceState.complete`.

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Returns the name of the processed transition.
    `Id` | `getActivityId()` Returns the identifier of the activity definition.
    `java.util.List<java.lang.String>` | `getAssignees()` Returns the list of user or groups names who the activity is assigned to.
    `java.lang.Boolean` | `getCanProcessTransition()` Returns true if the user can process the transition based on `IWFActivity.getAccessType()`.
    `java.lang.Boolean` | `getCanReadResource()` Returns true if the user can read the associated GRC object based on `IWFActivity.getAccessType()`.
    `java.lang.Boolean` | `getCanUpdateResource()` Returns true if the user can update the associated GRC object based on `IWFActivity.getAccessType()`.
    `java.lang.String` | `getCreatedBy()` Returns the user name who created the process instance
    `java.util.Date` | `getCreatedDate()` Returns the creation date
    `java.util.Date` | `getDueDate()` Returns the due date of the activity instance.
    `Id` | `getId()` Returns the identifier of the activity instance
    `java.lang.String` | `getModifiedBy()` Returns the user name who last modified the process instance
    `java.util.Date` | `getModifiedDate()` Returns the last modified date
    `java.util.List<java.lang.String>` | `getOtherActors()` Returns the list of user or groups who will be notified when reached an end stage.
    `Id` | `getParentId()` Returns the identifier of the parent activity instance when the activity instance is created by the hierarchical launch operation.
    `Id` | `getPreviousActivityId()` Returns the identifier of the previous activity instance when the activity instance is created.
    `IWFProcessContext` | `getProcessContext()` Returns the process instance context.
    `Id` | `getProcessInstanceId()` Returns the identifier of the process instance
    `Id` | `getResourceId()` Returns the identifier of the resource.
    `WFActivityInstanceState` | `getState()` Returns the state of the activity instance.
    `java.util.List<java.lang.String>` | `getSubscribers()` Returns the list of user or groups subscribed on the activity.
    `boolean` | `isActive()` Returns if the activity instance is active or not.
    `void` | `setAction(java.lang.String action)` Sets the name of the processed transition via transition actions.
    `void` | `setAssignees(java.util.List<java.lang.String> assignee)` Sets the list of assignees via transition actions.
    `void` | `setDueDate(java.util.Date dueDate)` Assigns the due date of the activity instance via transition actions.
    `void` | `setOtherActors(java.util.List<java.lang.String> otherActors)` Sets the other actor list.
    `void` | `setSubscribers(java.util.List<java.lang.String> subscribers)` Sets the subscriber list via transition actions.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the identifier of the activity instance
      Returns:

    - #### getProcessInstanceId

          Id getProcessInstanceId()

      Returns the identifier of the process instance
      Returns:

    - #### getParentId

          Id getParentId()

      Returns the identifier of the parent activity instance when the activity instance is created by the hierarchical launch operation.
      Returns:

    - #### getPreviousActivityId

          Id getPreviousActivityId()

      Returns the identifier of the previous activity instance when the activity instance is created.
      Returns:

    - #### getAssignees

          java.util.List<java.lang.String> getAssignees()

      Returns the list of user or groups names who the activity is assigned to.
      Returns:

    - #### setAssignees

          void setAssignees(java.util.List<java.lang.String> assignee)

      Sets the list of assignees via transition actions.
      Parameters:
        `assignee` -

    - #### getSubscribers

          java.util.List<java.lang.String> getSubscribers()

      Returns the list of user or groups subscribed on the activity.
      Returns:

    - #### setSubscribers

          void setSubscribers(java.util.List<java.lang.String> subscribers)

      Sets the subscriber list via transition actions.
      Parameters:
        `subscribers` -

    - #### getOtherActors

          java.util.List<java.lang.String> getOtherActors()

      Returns the list of user or groups who will be notified when reached an end stage.
      Returns:

    - #### setOtherActors

          void setOtherActors(java.util.List<java.lang.String> otherActors)

      Sets the other actor list.
      Parameters:
        `otherActors` -

    - #### getCanReadResource

          java.lang.Boolean getCanReadResource()

      Returns true if the user can read the associated GRC object based on `IWFActivity.getAccessType()`. You also need to take the resource-based access control into account.
      Returns:

    - #### getCanUpdateResource

          java.lang.Boolean getCanUpdateResource()

      Returns true if the user can update the associated GRC object based on `IWFActivity.getAccessType()`. You also need to take the resource-based access control into account.
      Returns:

    - #### getCanProcessTransition

          java.lang.Boolean getCanProcessTransition()

      Returns true if the user can process the transition based on `IWFActivity.getAccessType()`.
      Returns:

    - #### getAction

          java.lang.String getAction()

      Returns the name of the processed transition. It is available for completed activity instances.
      Returns:

    - #### setAction

          void setAction(java.lang.String action)

      Sets the name of the processed transition via transition actions.
      Parameters:
        `action` -

    - #### isActive

          boolean isActive()

      Returns if the activity instance is active or not.
      Returns:

    - #### getActivityId

          Id getActivityId()

      Returns the identifier of the activity definition.
      Returns:

    - #### getResourceId

          Id getResourceId()

      Returns the identifier of the resource.
      Returns:

    - #### getState

          WFActivityInstanceState getState()

      Returns the state of the activity instance.
      Returns:

    - #### getDueDate

          java.util.Date getDueDate()

      Returns the due date of the activity instance.
      Returns:

    - #### setDueDate

          void setDueDate(java.util.Date dueDate)

      Assigns the due date of the activity instance via transition actions.
      Parameters:
        `dueDate` -

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date
      Returns:

    - #### getModifiedBy

          java.lang.String getModifiedBy()

      Returns the user name who last modified the process instance
      Returns:

    - #### getCreatedDate

          java.util.Date getCreatedDate()

      Returns the creation date
      Returns:

    - #### getCreatedBy

          java.lang.String getCreatedBy()

      Returns the user name who created the process instance
      Returns:

    - #### getProcessContext

          IWFProcessContext getProcessContext()

      Returns the process instance context. This provides access to process instance without subsequent fetch operation.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.